[Bug 1685] Does not build with dependencies required according to book, but newer version of libgsf does

blfs-bugs at linuxfromscratch.org blfs-bugs at linuxfromscratch.org
Fri Nov 4 10:15:48 PST 2005


http://blfs-bugs.linuxfromscratch.org/show_bug.cgi?id=1685


randy at linuxfromscratch.org changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
         AssignedTo|blfs-                       |randy at linuxfromscratch.org
                   |book at linuxfromscratch.org   |




------- Additional Comments From randy at linuxfromscratch.org  2005-11-04 11:15 -------
Here is a patch that will fix the configure script so that the package
builds without GConf installed. It isn't the best fix that could be done,
as it leaves some messages in the output from configure that leads you
to believe that Schemas are going to be installed, but it configures,
makes and installs correctly. After applying this patch, no arguments 
need to be passed to configure if no GNOME components are installed.
It will automatically check and see if GNOME exists, and act appropriately.

--- libgsf-1.12.3-orig/configure        2005-09-05 20:56:18.000000000 -0500
+++ libgsf-1.12.3/configure     2005-11-04 11:59:53.000000000 -0600
@@ -24130,7 +24130,7 @@
 if test "x$GCONFTOOL" = "xno"; then
     { echo "$as_me:$LINENO: WARNING: thumbnailer will not be built, unable to
find gconftool-2" >&5
 echo "$as_me: WARNING: thumbnailer will not be built, unable to find
gconftool-2" >&2;}
-else
+fi
 
   if test "x$GCONF_SCHEMA_INSTALL_SOURCE" = "x"; then
     GCONF_SCHEMA_CONFIG_SOURCE=`gconftool-2 --get-default-source`
@@ -24188,7 +24188,6 @@
 fi
 
 
-fi
 
 
 if test "x$GCONFTOOL" != "xno"; then




------- You are receiving this mail because: -------
You are the assignee for the bug, or are watching the assignee.
You are the QA contact for the bug, or are watching the QA contact.



More information about the blfs-book mailing list